<?php declare(strict_types=1);

return [
    'header_title' => 'Setup',

    'menuitem_language-selection' => 'Start',
    'menuitem_requirements' => 'System requirements',
    'menuitem_database-configuration' => 'Database configuration',
    'menuitem_database-import' => 'Installation',
    'menuitem_edition' => 'Shopware licence',
    'menuitem_configuration' => 'Configuration',
    'menuitem_finish' => 'Done',
    'menuitem_license' => 'GTC',

    'license_incorrect' => 'The licence key you have entered does not appear to be valid.',
    'license_does_not_match' => 'The licence key you have entered does not match any commercial Shopware version.',
    'license_domain_error' => 'The licence key you have entered is not valid for the domain: ',

    'version_text' => 'Version:',
    'back' => 'Back',
    'forward' => 'Next',
    'start' => 'Start',
    'start_installation' => 'Start installation',

    'select_language_de' => 'Deutsch',
    'select_language_en' => 'English',
    'select_language_nl' => 'Nederlands',
    'select_language_it' => 'Italiano',
    'select_language_fr' => 'Français',
    'select_language_es' => 'Español',
    'select_language_pt' => 'Português',
    'select_language_pl' => 'Polski',

    'language-selection_welcome_title' => 'Welcome to Shopware 6',
    'language-selection_select_language' => 'Installation wizard language',
    'language-selection_header' => 'Your Shopware installation',
    'language-selection_info_message' => 'The language selected here only applies to this installation wizard. If you like, you can specify another language for your shop later.',
    'language-selection_welcome_message' => 'We are delighted you want to join our fantastic, global Shopware community. We will now take you through the installation process step by step. If you have any queries, simply take a look in our <a class="is--nowrap" href="https://forum.shopware.com" target="_blank">forum</a>, give us a call on <a class="is--nowrap" href="tel:0080074676260">00 800 746 7626 0 (free of charge)</a> or send us an <a class="is--nowrap" href="mailto:info@shopware.com">e-mail</a>.',
    'requirements_header' => 'System requirements',
    'requirements_header_files' => 'Files and directories',
    'requirements_header_system' => 'System',
    'requirements_files_info' => 'The following files and directories must be present and have write permissions.',
    'requirements_table_files_col_check' => 'File/directory',
    'requirements_table_files_col_status' => 'Status',
    'requirements_error' => 'Not all of the requirements for successful installation have been met.',
    'requirements_error_title' => 'Your system is not yet ready for Shopware 6',
    'requirements_success' => 'All of the requirements for successful installation have been met.',
    'requirements_success_title' => 'Your system is ready for Shopware 6',
    'requirements_php_info' => 'Your server must meet the following system requirements in order to run Shopware.',
    'requirements_php_max_compatible_version' => 'This Shopware version supports PHP up to version %s. There is no guarantee that everything will work with newer PHP versions.',
    'requirements_system_col_check' => 'Requirement',
    'requirements_system_col_required' => 'Required',
    'requirements_system_col_found' => 'Your system',
    'requirements_system_col_status' => 'Status',
    'requirements_show_all' => '(show all)',
    'requirements_hide_all' => '(hide all)',
    'requirements_status_error' => 'Error',
    'requirements_status_warning' => 'Warning',
    'requirements_status_ready' => 'Ready',

    'license_agreement_header' => 'General Terms and Conditions of Trade ("GTC")',
    'license_agreement_info' => 'These are our General Terms and Conditions of Trade. You will have to read and accept the GTC in order to successfully install Shopware 6. The Community Edition is completely free of charge and has been released under the MIT-Licence.',
    'license_agreement_error' => 'Please accept our GTC.',
    'license_agreement_checkbox' => 'I agree to the General Terms and Conditions of Trade (GTC)',

    'database-configuration_header' => 'Configure database',
    'database-configuration_field_host' => 'Server:',
    'database-configuration_advanced_settings' => 'Advanced settings',
    'database-configuration_field_port' => 'Port:',
    'database-configuration_field_socket' => 'Socket (optional):',
    'database-configuration_field_user' => 'User:',
    'database-configuration_field_password' => 'Password:',
    'database-configuration_field_database' => 'Database name:',
    'database-configuration_field_new_database' => 'New database:',
    'database-configuration_info' => 'In order to install Shopware on your system, you will need the access credentials to your database. If you are not sure what to put here, contact your administrator / hosting service.',
    'database-configuration-create_new_database' => 'Create new database',
    'database-configuration_non_empty_database' => 'The selected database already contains data. Please select an empty database or create a new one from scratch.',
    'database-configuration_error_required_fields' => 'Please fill in all the blanks.',

    'database-import_header' => 'Installation',
    'database-import_skip_import' => 'Skip',
    'database-import_progress' => 'Progress: ',
    'database-import-hint' => '<strong>Note:</strong> If there are any Shopware tables found in the configured database, they will be removed by the installation/update!',
    'database-import_info_text' => 'Installing Shopware 6 using the selected database. This process may take several minutes, depending on your overall system.',
    'database_import_success' => 'Shopware 6 has been installed!',
    'database_import_install_label' => 'Database installation:',
    'database_import_install_step_text' => 'Step',
    'database_import_install_from_text' => 'of',

    'migration_counter_text_migrations' => 'Updating database',
    'migration_counter_text_snippets' => 'Updating text snippets',
    'migration_update_success' => 'Database has been imported!',

    'edition_header' => 'Have you already purchased a Shopware licence?',
    'edition_info' => 'Shopware is available in different versions. There is the free <a href="https://en.shopware.com/pricing/" target="_blank">Community Edition</a>, and there are the <a href="https://en.shopware.com/pricing/" target="_blank">Professional or Enterprise Edition</a>, that are available for a one time fee.',
    'edition_ce' => 'No, I would like to use the free <a href="https://en.shopware.com/pricing/" target="_blank">Community Edition</a>.',
    'edition_cm' => 'Yes, I have already purchased a Shopware licence (<a href="https://en.shopware.com/pricing/" target="_blank">Professional or Enterprise</a>).',
    'edition_license' => 'Please enter your licence key here. You can find it in your Shopware Account under "Licences" → "Product licences" → "Details / Download":',
    'edition_license_error' => 'A valid licence is required in order to install any of the Shopware versions that come with a fee.',

    'configuration_header' => 'Configuration',
    'configuration_sconfig_text' => 'Almost done. You just need to make some few basic settings in your shop, Shopware 6 will be installed completely afterwards.',
    'configuration_sconfig_name' => 'Shop name',
    'configuration_sconfig_name_info' => 'Please enter the name of your shop.',
    'configuration_sconfig_mail' => 'Shop email address:',
    'configuration_sconfig_mail_info' => 'Please enter an email address for outgoing emails',
    'configuration_sconfig_domain' => 'Shop domain:',
    'configuration_sconfig_language' => 'Default system language:',
    'configuration_sconfig_currency' => 'Default currency:',
    'configuration_sconfig_currency_info' => 'This currency will be used as the standard currency, everytime when setting item prices.',
    'configuration_admin_currency_eur' => 'Euro',
    'configuration_admin_currency_usd' => 'Dollar (US)',
    'configuration_admin_currency_gbp' => 'Pound Sterling (UK)',
    'configuration_admin_username' => 'Admin login name:',
    'configuration_admin_mail' => 'Admin email:',
    'configuration_admin_firstName' => 'Admin first name:',
    'configuration_admin_lastName' => 'Admin last name:',
    'configuration_defaults_warning' => 'Beware! The settings for your default system language as well as the default currency are permanent and cannot be changed ever again.',
    'configuration_email_help_text' => 'This email address will be used for outgoing shop emails.',

    'configuration_admin_language_de' => 'German',
    'configuration_admin_language_en' => 'English',
    'configuration_admin_password' => 'Admin password:',

    'finish_header' => 'Installation completed',
    'finish_info' => 'You have successfully installed Shopware!',
    'finish_info_heading' => 'Hooray!',
    'finish_first_steps' => '"First steps" guide',
    'finish_frontend' => 'Go to shop storefront',
    'finish_backend' => 'Go to shop administration',
    'finish_message' => '
<p>
    <strong>Welcome to Shopware,</strong>
</p>
<p>
    You have installed Shopware successfully and we are delighted to welcome you to our community! 
<p>Your shop is now ready to use. If you are new to Shopware, we recommend taking a look at this guide <a href="https://docs.shopware.com/en/shopware-5-en/first-steps/first-steps-in-shopware" target="_blank">"First steps in Shopware"</a>. When you log in to the administration for the first time, our "First Run Wizard" will take you through the basic setup.</p>
<p>Enjoy your new online shop!</p>',
];
