<?php declare(strict_types=1);

namespace Shopware\Core\Framework\Plugin\Struct;

use Composer\Package\CompletePackageInterface;
use Shopware\Core\Framework\Struct\Struct;

class PluginFromFileSystemStruct extends Struct
{
    /**
     * @var string
     */
    protected $baseClass;

    /**
     * @var string
     */
    protected $path;

    /**
     * @var bool
     */
    protected $managedByComposer;

    /**
     * @var CompletePackageInterface
     */
    protected $composerPackage;

    public function getBaseClass(): string
    {
        return $this->baseClass;
    }

    public function getPath(): string
    {
        return $this->path;
    }

    public function getManagedByComposer(): bool
    {
        return $this->managedByComposer;
    }

    public function getComposerPackage(): CompletePackageInterface
    {
        return $this->composerPackage;
    }

    public function getName(): string
    {
        $baseClass = $this->baseClass;

        $pos = strrpos($baseClass, '\\');

        return $pos === false ? $this->baseClass : substr($this->baseClass, $pos + 1);
    }
}
