<?php declare(strict_types=1);

namespace Shopware\Storefront\Test\Theme\fixtures;

class ThemeFixtures
{
    public static function getThemeFields(): array
    {
        return [
            'themeColors' => [
                'label' => 'themeColors',
                'sections' => [
                    '' => [
                        'label' => '',
                        'sw-color-brand-primary' => [
                            'label' => [
                                'en-GB' => 'Primary colour',
                                'de-DE' => 'Primärfarbe',
                            ],
                            'type' => 'color',
                            'helpText' => null,
                            'custom' => null,
                        ],
                        'sw-color-brand-secondary' => [
                            'label' => [
                                'en-GB' => 'Secondary colour',
                                'de-DE' => 'Sekundärfarbe',
                            ],
                            'type' => 'color',
                            'helpText' => null,
                            'custom' => null,
                        ],
                        'sw-border-color' => [
                            'label' => [
                                'en-GB' => 'Border',
                                'de-DE' => 'Rahmen',
                            ],
                            'type' => 'color',
                            'helpText' => null,
                            'custom' => null,
                        ],
                        'sw-background-color' => [
                            'label' => [
                                'en-GB' => 'Background',
                                'de-DE' => 'Hintergrund',
                            ],
                            'type' => 'color',
                            'helpText' => null,
                            'custom' => null,
                        ],
                    ],
                ],
            ],
            'typography' => [
                'label' => 'typography',
                'sections' => [
                    '' => [
                        'sw-font-family-base' => [
                            'label' => [
                                'en-GB' => 'Fonttype text',
                                'de-DE' => 'Schriftart Text',
                            ],
                            'type' => 'fontFamily',
                            'helpText' => null,
                            'custom' => null,
                        ],
                        'sw-font-family-headline' => [
                            'label' => [
                                'en-GB' => 'Fonttype headline',
                                'de-DE' => 'Schriftart Überschrift',
                            ],
                            'type' => 'fontFamily',
                            'helpText' => null,
                            'custom' => null,
                        ],
                        'sw-headline-color' => [
                            'label' => [
                                'en-GB' => 'Headline colour',
                                'de-DE' => 'Überschriftfarbe',
                            ],
                            'type' => 'color',
                            'helpText' => null,
                            'custom' => null,
                        ],
                        'sw-text-color' => [
                            'label' => [
                                'en-GB' => 'Text colour',
                                'de-DE' => 'Textfarbe',
                            ],
                            'type' => 'color',
                            'helpText' => null,
                            'custom' => null,
                        ],
                        'label' => '',
                    ],
                ],
            ],
            'media' => [
                'label' => 'media',
                'sections' => [
                    '' => [
                        'label' => '',
                        'sw-logo-desktop' => [
                            'label' => [
                                'en-GB' => 'Desktop',
                                'de-DE' => 'Desktop',
                            ],
                            'helpText' => [
                                'en-GB' => 'Displayed for viewports of above 991px',
                                'de-DE' => 'Wird über einem Viewport von 991px angezeigt',
                            ],
                            'type' => 'media',
                            'custom' => null,
                        ],
                        'sw-logo-tablet' => [
                            'label' => [
                                'en-GB' => 'Tablet',
                                'de-DE' => 'Tablet',
                            ],
                            'helpText' => [
                                'en-GB' => 'Displayed between a viewport of 767px to 991px',
                                'de-DE' => 'Wird zwischen einem viewport von 767px bis 991px angezeigt',
                            ],
                            'type' => 'media',
                            'custom' => null,
                        ],
                        'sw-logo-mobile' => [
                            'label' => [
                                'en-GB' => 'Mobile',
                                'de-DE' => 'Mobil',
                            ],
                            'helpText' => [
                                'en-GB' => 'Displayed up to a viewport of 767px',
                                'de-DE' => 'Wird bis zu einem Viewport von 767px angezeigt',
                            ],
                            'type' => 'media',
                            'custom' => null,
                        ],
                        'sw-logo-share' => [
                            'label' => [
                                'en-GB' => 'App & share icon',
                                'de-DE' => 'App- & Share-Icon',
                            ],
                            'type' => 'media',
                            'helpText' => null,
                            'custom' => null,
                        ],
                        'sw-logo-favicon' => [
                            'label' => [
                                'en-GB' => 'Favicon',
                                'de-DE' => 'Favicon',
                            ],
                            'type' => 'media',
                            'helpText' => null,
                            'custom' => null,
                        ],
                    ],
                ],
            ],
            'eCommerce' => [
                'label' => 'eCommerce',
                'sections' => [
                    '' => [
                        'label' => '',
                        'sw-color-price' => [
                            'label' => [
                                'en-GB' => 'Price',
                                'de-DE' => 'Preis',
                            ],
                            'type' => 'color',
                            'helpText' => null,
                            'custom' => null,
                        ],
                        'sw-color-buy-button' => [
                            'label' => [
                                'en-GB' => 'Buy button',
                                'de-DE' => 'Kaufen-Button',
                            ],
                            'type' => 'color',
                            'helpText' => null,
                            'custom' => null,
                        ],
                        'sw-color-buy-button-text' => [
                            'label' => [
                                'en-GB' => 'Buy button text',
                                'de-DE' => 'Kaufen-Button Text',
                            ],
                            'type' => 'color',
                            'helpText' => null,
                            'custom' => null,
                        ],
                    ],
                ],
            ],
            'statusColors' => [
                'label' => 'statusColors',
                'sections' => [
                    '' => [
                        'label' => '',
                        'sw-color-success' => [
                            'label' => [
                                'en-GB' => 'Success',
                                'de-DE' => 'Erfolg',
                            ],
                            'type' => 'color',
                            'helpText' => null,
                            'custom' => null,
                        ],
                        'sw-color-info' => [
                            'label' => [
                                'en-GB' => 'Information',
                                'de-DE' => 'Information',
                            ],
                            'type' => 'color',
                            'helpText' => null,
                            'custom' => null,
                        ],
                        'sw-color-warning' => [
                            'label' => [
                                'en-GB' => 'Notice',
                                'de-DE' => 'Hinweis',
                            ],
                            'type' => 'color',
                            'helpText' => null,
                            'custom' => null,
                        ],
                        'sw-color-danger' => [
                            'label' => [
                                'en-GB' => 'Error',
                                'de-DE' => 'Fehler',
                            ],
                            'type' => 'color',
                            'helpText' => null,
                            'custom' => null,
                        ],
                    ],
                ],
            ],
            'unordered' => [
                'label' => 'unordered',
                'sections' => [
                ],
            ],
        ];
    }

    public static function getThemeInheritedConfig(): array
    {
        return [
            'blocks' => [
                'themeColors' => [
                    'label' => [
                        'en-GB' => 'Theme colours',
                        'de-DE' => 'Theme-Farben',
                    ],
                ],
                'typography' => [
                    'label' => [
                        'en-GB' => 'Typography',
                        'de-DE' => 'Typografie',
                    ],
                ],
                'media' => [
                    'label' => [
                        'en-GB' => 'Media',
                        'de-DE' => 'Medien',
                    ],
                ],
                'eCommerce' => [
                    'label' => [
                        'en-GB' => 'E-Commerce',
                        'de-DE' => 'E-Commerce',
                    ],
                ],
                'statusColors' => [
                    'label' => [
                        'en-GB' => 'Status messages',
                        'de-DE' => 'Status-Ausgaben',
                    ],
                ],
                'unordered' => [
                    'label' => [
                        'en-GB' => 'Misc',
                        'de-DE' => 'Sonstige',
                    ],
                ],
            ],
            'fields' => [
                'sw-color-brand-primary' => [
                    'name' => 'sw-color-brand-primary',
                    'label' => [
                        'en-GB' => 'Primary colour',
                        'de-DE' => 'Primärfarbe',
                    ],
                    'type' => 'color',
                    'value' => '#ff00ff',
                    'editable' => true,
                    'block' => 'themeColors',
                    'section' => null,
                    'order' => 100,
                    'sectionOrder' => null,
                    'blockOrder' => null,
                    'extensions' => [],
                    'helpText' => null,
                    'custom' => null,
                ],
                'sw-color-brand-secondary' => [
                    'name' => 'sw-color-brand-secondary',
                    'label' => [
                        'en-GB' => 'Secondary colour',
                        'de-DE' => 'Sekundärfarbe',
                    ],
                    'type' => 'color',
                    'value' => '#576574',
                    'editable' => true,
                    'block' => 'themeColors',
                    'section' => null,
                    'order' => 200,
                    'sectionOrder' => null,
                    'blockOrder' => null,
                    'extensions' => [],
                    'helpText' => null,
                    'custom' => null,
                ],
                'sw-color-success' => [
                    'name' => 'sw-color-success',
                    'label' => [
                        'en-GB' => 'Success',
                        'de-DE' => 'Erfolg',
                    ],
                    'type' => 'color',
                    'value' => '#6ed59f',
                    'editable' => true,
                    'block' => 'statusColors',
                    'section' => null,
                    'order' => 100,
                    'sectionOrder' => null,
                    'blockOrder' => null,
                    'extensions' => [],
                    'helpText' => null,
                    'custom' => null,
                ],
                'sw-color-info' => [
                    'name' => 'sw-color-info',
                    'label' => [
                        'en-GB' => 'Information',
                        'de-DE' => 'Information',
                    ],
                    'type' => 'color',
                    'value' => '#76bce7',
                    'editable' => true,
                    'block' => 'statusColors',
                    'section' => null,
                    'order' => 200,
                    'sectionOrder' => null,
                    'blockOrder' => null,
                    'extensions' => [],
                    'helpText' => null,
                    'custom' => null,
                ],
                'sw-color-warning' => [
                    'name' => 'sw-color-warning',
                    'label' => [
                        'en-GB' => 'Notice',
                        'de-DE' => 'Hinweis',
                    ],
                    'type' => 'color',
                    'value' => '#fcc679',
                    'editable' => true,
                    'block' => 'statusColors',
                    'section' => null,
                    'order' => 300,
                    'sectionOrder' => null,
                    'blockOrder' => null,
                    'extensions' => [],
                    'helpText' => null,
                    'custom' => null,
                ],
                'sw-color-danger' => [
                    'name' => 'sw-color-danger',
                    'label' => [
                        'en-GB' => 'Error',
                        'de-DE' => 'Fehler',
                    ],
                    'type' => 'color',
                    'value' => '#f27f7f',
                    'editable' => true,
                    'block' => 'statusColors',
                    'section' => null,
                    'order' => 400,
                    'sectionOrder' => null,
                    'blockOrder' => null,
                    'extensions' => [],
                    'helpText' => null,
                    'custom' => null,
                ],
                'sw-text-color' => [
                    'name' => 'sw-text-color',
                    'label' => [
                        'en-GB' => 'Text colour',
                        'de-DE' => 'Textfarbe',
                    ],
                    'type' => 'color',
                    'value' => '#545454',
                    'editable' => true,
                    'block' => 'typography',
                    'section' => null,
                    'order' => 200,
                    'sectionOrder' => null,
                    'blockOrder' => null,
                    'extensions' => [],
                    'helpText' => null,
                    'custom' => null,
                ],
                'sw-border-color' => [
                    'name' => 'sw-border-color',
                    'label' => [
                        'en-GB' => 'Border',
                        'de-DE' => 'Rahmen',
                    ],
                    'type' => 'color',
                    'value' => '#d4e2e2',
                    'editable' => true,
                    'block' => 'themeColors',
                    'section' => null,
                    'order' => 300,
                    'sectionOrder' => null,
                    'blockOrder' => null,
                    'extensions' => [],
                    'helpText' => null,
                    'custom' => null,
                ],
                'sw-background-color' => [
                    'label' => [
                        'en-GB' => 'Background',
                        'de-DE' => 'Hintergrund',
                    ],
                    'type' => 'color',
                    'value' => '#fff',
                    'editable' => true,
                    'block' => 'themeColors',
                    'order' => 400,
                    'name' => 'sw-background-color',
                    'section' => null,
                    'sectionOrder' => null,
                    'blockOrder' => null,
                    'extensions' => [],
                    'helpText' => null,
                    'custom' => null,
                ],
                'sw-color-price' => [
                    'name' => 'sw-color-price',
                    'label' => [
                        'en-GB' => 'Price',
                        'de-DE' => 'Preis',
                    ],
                    'type' => 'color',
                    'value' => '#3f4c58',
                    'editable' => true,
                    'block' => 'eCommerce',
                    'section' => null,
                    'order' => 100,
                    'sectionOrder' => null,
                    'blockOrder' => null,
                    'extensions' => [],
                    'helpText' => null,
                    'custom' => null,
                ],
                'sw-color-buy-button' => [
                    'name' => 'sw-color-buy-button',
                    'label' => [
                        'en-GB' => 'Buy button',
                        'de-DE' => 'Kaufen-Button',
                    ],
                    'type' => 'color',
                    'value' => '#399',
                    'editable' => true,
                    'block' => 'eCommerce',
                    'section' => null,
                    'order' => 200,
                    'sectionOrder' => null,
                    'blockOrder' => null,
                    'extensions' => [],
                    'helpText' => null,
                    'custom' => null,
                ],
                'sw-color-buy-button-text' => [
                    'label' => [
                        'en-GB' => 'Buy button text',
                        'de-DE' => 'Kaufen-Button Text',
                    ],
                    'type' => 'color',
                    'value' => '#fff',
                    'editable' => true,
                    'block' => 'eCommerce',
                    'order' => 300,
                    'name' => 'sw-color-buy-button-text',
                    'section' => null,
                    'sectionOrder' => null,
                    'blockOrder' => null,
                    'extensions' => [],
                    'helpText' => null,
                    'custom' => null,
                ],
                'sw-font-family-base' => [
                    'name' => 'sw-font-family-base',
                    'label' => [
                        'en-GB' => 'Fonttype text',
                        'de-DE' => 'Schriftart Text',
                    ],
                    'type' => 'fontFamily',
                    'value' => '\'Inter\', sans-serif',
                    'editable' => true,
                    'block' => 'typography',
                    'section' => null,
                    'order' => 100,
                    'sectionOrder' => null,
                    'blockOrder' => null,
                    'extensions' => [],
                    'helpText' => null,
                    'custom' => null,
                ],
                'sw-font-family-headline' => [
                    'name' => 'sw-font-family-headline',
                    'label' => [
                        'en-GB' => 'Fonttype headline',
                        'de-DE' => 'Schriftart Überschrift',
                    ],
                    'type' => 'fontFamily',
                    'value' => '\'Inter\', sans-serif',
                    'editable' => true,
                    'block' => 'typography',
                    'section' => null,
                    'order' => 300,
                    'sectionOrder' => null,
                    'blockOrder' => null,
                    'extensions' => [],
                    'helpText' => null,
                    'custom' => null,
                ],
                'sw-headline-color' => [
                    'label' => [
                        'en-GB' => 'Headline colour',
                        'de-DE' => 'Überschriftfarbe',
                    ],
                    'type' => 'color',
                    'value' => '#3f4c58',
                    'editable' => true,
                    'block' => 'typography',
                    'order' => 400,
                    'name' => 'sw-headline-color',
                    'section' => null,
                    'sectionOrder' => null,
                    'blockOrder' => null,
                    'extensions' => [],
                    'helpText' => null,
                    'custom' => null,
                ],
                'sw-logo-desktop' => [
                    'label' => [
                        'en-GB' => 'Desktop',
                        'de-DE' => 'Desktop',
                    ],
                    'helpText' => [
                        'en-GB' => 'Displayed for viewports of above 991px',
                        'de-DE' => 'Wird über einem Viewport von 991px angezeigt',
                    ],
                    'type' => 'media',
                    'value' => 'dist/assets/logo/demostore-logo.png',
                    'editable' => true,
                    'block' => 'media',
                    'order' => 100,
                    'name' => 'sw-logo-desktop',
                    'section' => null,
                    'sectionOrder' => null,
                    'blockOrder' => null,
                    'extensions' => [],
                    'custom' => null,
                ],
                'sw-logo-tablet' => [
                    'label' => [
                        'en-GB' => 'Tablet',
                        'de-DE' => 'Tablet',
                    ],
                    'helpText' => [
                        'en-GB' => 'Displayed between a viewport of 767px to 991px',
                        'de-DE' => 'Wird zwischen einem viewport von 767px bis 991px angezeigt',
                    ],
                    'type' => 'media',
                    'value' => 'dist/assets/logo/demostore-logo.png',
                    'editable' => true,
                    'block' => 'media',
                    'order' => 200,
                    'name' => 'sw-logo-tablet',
                    'section' => null,
                    'sectionOrder' => null,
                    'blockOrder' => null,
                    'extensions' => [],
                    'custom' => null,
                ],
                'sw-logo-mobile' => [
                    'label' => [
                        'en-GB' => 'Mobile',
                        'de-DE' => 'Mobil',
                    ],
                    'helpText' => [
                        'en-GB' => 'Displayed up to a viewport of 767px',
                        'de-DE' => 'Wird bis zu einem Viewport von 767px angezeigt',
                    ],
                    'type' => 'media',
                    'value' => 'dist/assets/logo/demostore-logo.png',
                    'editable' => true,
                    'block' => 'media',
                    'order' => 300,
                    'name' => 'sw-logo-mobile',
                    'section' => null,
                    'sectionOrder' => null,
                    'blockOrder' => null,
                    'extensions' => [],
                    'custom' => null,
                ],
                'sw-logo-share' => [
                    'label' => [
                        'en-GB' => 'App & share icon',
                        'de-DE' => 'App- & Share-Icon',
                    ],
                    'type' => 'media',
                    'value' => '',
                    'editable' => true,
                    'block' => 'media',
                    'order' => 400,
                    'name' => 'sw-logo-share',
                    'section' => null,
                    'sectionOrder' => null,
                    'blockOrder' => null,
                    'extensions' => [],
                    'helpText' => null,
                    'custom' => null,
                ],
                'sw-logo-favicon' => [
                    'label' => [
                        'en-GB' => 'Favicon',
                        'de-DE' => 'Favicon',
                    ],
                    'type' => 'media',
                    'value' => 'dist/assets/logo/favicon.png',
                    'editable' => true,
                    'block' => 'media',
                    'order' => 500,
                    'name' => 'sw-logo-favicon',
                    'section' => null,
                    'sectionOrder' => null,
                    'blockOrder' => null,
                    'extensions' => [],
                    'helpText' => null,
                    'custom' => null,
                ],
            ],
        ];
    }

    public static function getThemeConfig(): array
    {
        return [
            'blocks' => [
                'themeColors' => [
                    'label' => [
                        'en-GB' => 'Theme colours',
                        'de-DE' => 'Theme-Farben',
                    ],
                ],
                'typography' => [
                    'label' => [
                        'en-GB' => 'Typography',
                        'de-DE' => 'Typografie',
                    ],
                ],
                'media' => [
                    'label' => [
                        'en-GB' => 'Media',
                        'de-DE' => 'Medien',
                    ],
                ],
                'eCommerce' => [
                    'label' => [
                        'en-GB' => 'E-Commerce',
                        'de-DE' => 'E-Commerce',
                    ],
                ],
                'statusColors' => [
                    'label' => [
                        'en-GB' => 'Status messages',
                        'de-DE' => 'Status-Ausgaben',
                    ],
                ],
                'unordered' => [
                    'label' => [
                        'en-GB' => 'Misc',
                        'de-DE' => 'Sonstige',
                    ],
                ],
            ],
            'fields' => [
                'sw-color-brand-primary' => [
                    'name' => 'sw-color-brand-primary',
                    'label' => [
                        'en-GB' => 'Primary colour',
                        'de-DE' => 'Primärfarbe',
                    ],
                    'type' => 'color',
                    'value' => '#399',
                    'editable' => true,
                    'block' => 'themeColors',
                    'section' => null,
                    'order' => 100,
                    'sectionOrder' => null,
                    'blockOrder' => null,
                    'extensions' => [],
                    'helpText' => null,
                    'custom' => null,
                ],
                'sw-color-brand-secondary' => [
                    'name' => 'sw-color-brand-secondary',
                    'label' => [
                        'en-GB' => 'Secondary colour',
                        'de-DE' => 'Sekundärfarbe',
                    ],
                    'type' => 'color',
                    'value' => '#576574',
                    'editable' => true,
                    'block' => 'themeColors',
                    'section' => null,
                    'order' => 200,
                    'sectionOrder' => null,
                    'blockOrder' => null,
                    'extensions' => [],
                    'helpText' => null,
                    'custom' => null,
                ],
                'sw-color-success' => [
                    'name' => 'sw-color-success',
                    'label' => [
                        'en-GB' => 'Success',
                        'de-DE' => 'Erfolg',
                    ],
                    'type' => 'color',
                    'value' => '#6ed59f',
                    'editable' => true,
                    'block' => 'statusColors',
                    'section' => null,
                    'order' => 100,
                    'sectionOrder' => null,
                    'blockOrder' => null,
                    'extensions' => [],
                    'helpText' => null,
                    'custom' => null,
                ],
                'sw-color-info' => [
                    'name' => 'sw-color-info',
                    'label' => [
                        'en-GB' => 'Information',
                        'de-DE' => 'Information',
                    ],
                    'type' => 'color',
                    'value' => '#76bce7',
                    'editable' => true,
                    'block' => 'statusColors',
                    'section' => null,
                    'order' => 200,
                    'sectionOrder' => null,
                    'blockOrder' => null,
                    'extensions' => [],
                    'helpText' => null,
                    'custom' => null,
                ],
                'sw-color-warning' => [
                    'name' => 'sw-color-warning',
                    'label' => [
                        'en-GB' => 'Notice',
                        'de-DE' => 'Hinweis',
                    ],
                    'type' => 'color',
                    'value' => '#fcc679',
                    'editable' => true,
                    'block' => 'statusColors',
                    'section' => null,
                    'order' => 300,
                    'sectionOrder' => null,
                    'blockOrder' => null,
                    'extensions' => [],
                    'helpText' => null,
                    'custom' => null,
                ],
                'sw-color-danger' => [
                    'name' => 'sw-color-danger',
                    'label' => [
                        'en-GB' => 'Error',
                        'de-DE' => 'Fehler',
                    ],
                    'type' => 'color',
                    'value' => '#f27f7f',
                    'editable' => true,
                    'block' => 'statusColors',
                    'section' => null,
                    'order' => 400,
                    'sectionOrder' => null,
                    'blockOrder' => null,
                    'extensions' => [],
                    'helpText' => null,
                    'custom' => null,
                ],
                'sw-text-color' => [
                    'name' => 'sw-text-color',
                    'label' => [
                        'en-GB' => 'Text colour',
                        'de-DE' => 'Textfarbe',
                    ],
                    'type' => 'color',
                    'value' => '#545454',
                    'editable' => true,
                    'block' => 'typography',
                    'section' => null,
                    'order' => 200,
                    'sectionOrder' => null,
                    'blockOrder' => null,
                    'extensions' => [],
                    'helpText' => null,
                    'custom' => null,
                ],
                'sw-border-color' => [
                    'name' => 'sw-border-color',
                    'label' => [
                        'en-GB' => 'Border',
                        'de-DE' => 'Rahmen',
                    ],
                    'type' => 'color',
                    'value' => '#d4e2e2',
                    'editable' => true,
                    'block' => 'themeColors',
                    'section' => null,
                    'order' => 300,
                    'sectionOrder' => null,
                    'blockOrder' => null,
                    'extensions' => [],
                    'helpText' => null,
                    'custom' => null,
                ],
                'sw-background-color' => [
                    'label' => [
                        'en-GB' => 'Background',
                        'de-DE' => 'Hintergrund',
                    ],
                    'type' => 'color',
                    'value' => '#fff',
                    'editable' => true,
                    'block' => 'themeColors',
                    'order' => 400,
                    'name' => 'sw-background-color',
                    'section' => null,
                    'sectionOrder' => null,
                    'blockOrder' => null,
                    'helpText' => null,
                    'extensions' => [],
                    'custom' => null,
                ],
                'sw-color-price' => [
                    'name' => 'sw-color-price',
                    'label' => [
                        'en-GB' => 'Price',
                        'de-DE' => 'Preis',
                    ],
                    'type' => 'color',
                    'value' => '#3f4c58',
                    'editable' => true,
                    'block' => 'eCommerce',
                    'section' => null,
                    'order' => 100,
                    'sectionOrder' => null,
                    'blockOrder' => null,
                    'extensions' => [],
                    'helpText' => null,
                    'custom' => null,
                ],
                'sw-color-buy-button' => [
                    'name' => 'sw-color-buy-button',
                    'label' => [
                        'en-GB' => 'Buy button',
                        'de-DE' => 'Kaufen-Button',
                    ],
                    'type' => 'color',
                    'value' => '#399',
                    'editable' => true,
                    'block' => 'eCommerce',
                    'section' => null,
                    'order' => 200,
                    'sectionOrder' => null,
                    'blockOrder' => null,
                    'extensions' => [],
                    'helpText' => null,
                    'custom' => null,
                ],
                'sw-color-buy-button-text' => [
                    'label' => [
                        'en-GB' => 'Buy button text',
                        'de-DE' => 'Kaufen-Button Text',
                    ],
                    'type' => 'color',
                    'value' => '#fff',
                    'editable' => true,
                    'block' => 'eCommerce',
                    'order' => 300,
                    'name' => 'sw-color-buy-button-text',
                    'section' => null,
                    'sectionOrder' => null,
                    'blockOrder' => null,
                    'extensions' => [],
                    'helpText' => null,
                    'custom' => null,
                ],
                'sw-font-family-base' => [
                    'name' => 'sw-font-family-base',
                    'label' => [
                        'en-GB' => 'Fonttype text',
                        'de-DE' => 'Schriftart Text',
                    ],
                    'type' => 'fontFamily',
                    'value' => '\'Inter\', sans-serif',
                    'editable' => true,
                    'block' => 'typography',
                    'section' => null,
                    'order' => 100,
                    'sectionOrder' => null,
                    'blockOrder' => null,
                    'extensions' => [],
                    'helpText' => null,
                    'custom' => null,
                ],
                'sw-font-family-headline' => [
                    'name' => 'sw-font-family-headline',
                    'label' => [
                        'en-GB' => 'Fonttype headline',
                        'de-DE' => 'Schriftart Überschrift',
                    ],
                    'type' => 'fontFamily',
                    'value' => '\'Inter\', sans-serif',
                    'editable' => true,
                    'block' => 'typography',
                    'section' => null,
                    'order' => 300,
                    'sectionOrder' => null,
                    'blockOrder' => null,
                    'extensions' => [],
                    'helpText' => null,
                    'custom' => null,
                ],
                'sw-headline-color' => [
                    'label' => [
                        'en-GB' => 'Headline colour',
                        'de-DE' => 'Überschriftfarbe',
                    ],
                    'type' => 'color',
                    'value' => '#3f4c58',
                    'editable' => true,
                    'block' => 'typography',
                    'order' => 400,
                    'name' => 'sw-headline-color',
                    'section' => null,
                    'sectionOrder' => null,
                    'blockOrder' => null,
                    'extensions' => [],
                    'helpText' => null,
                    'custom' => null,
                ],
                'sw-logo-desktop' => [
                    'label' => [
                        'en-GB' => 'Desktop',
                        'de-DE' => 'Desktop',
                    ],
                    'helpText' => [
                        'en-GB' => 'Displayed for viewports of above 991px',
                        'de-DE' => 'Wird über einem Viewport von 991px angezeigt',
                    ],
                    'type' => 'media',
                    'value' => 'dist/assets/logo/demostore-logo.png',
                    'editable' => true,
                    'block' => 'media',
                    'order' => 100,
                    'name' => 'sw-logo-desktop',
                    'section' => null,
                    'sectionOrder' => null,
                    'blockOrder' => null,
                    'extensions' => [],
                    'custom' => null,
                ],
                'sw-logo-tablet' => [
                    'label' => [
                        'en-GB' => 'Tablet',
                        'de-DE' => 'Tablet',
                    ],
                    'helpText' => [
                        'en-GB' => 'Displayed between a viewport of 767px to 991px',
                        'de-DE' => 'Wird zwischen einem viewport von 767px bis 991px angezeigt',
                    ],
                    'type' => 'media',
                    'value' => 'dist/assets/logo/demostore-logo.png',
                    'editable' => true,
                    'block' => 'media',
                    'order' => 200,
                    'name' => 'sw-logo-tablet',
                    'section' => null,
                    'sectionOrder' => null,
                    'blockOrder' => null,
                    'extensions' => [],
                    'custom' => null,
                ],
                'sw-logo-mobile' => [
                    'label' => [
                        'en-GB' => 'Mobile',
                        'de-DE' => 'Mobil',
                    ],
                    'helpText' => [
                        'en-GB' => 'Displayed up to a viewport of 767px',
                        'de-DE' => 'Wird bis zu einem Viewport von 767px angezeigt',
                    ],
                    'type' => 'media',
                    'value' => 'dist/assets/logo/demostore-logo.png',
                    'editable' => true,
                    'block' => 'media',
                    'order' => 300,
                    'name' => 'sw-logo-mobile',
                    'section' => null,
                    'sectionOrder' => null,
                    'blockOrder' => null,
                    'extensions' => [],
                    'custom' => null,
                ],
                'sw-logo-share' => [
                    'label' => [
                        'en-GB' => 'App & share icon',
                        'de-DE' => 'App- & Share-Icon',
                    ],
                    'type' => 'media',
                    'value' => '',
                    'editable' => true,
                    'block' => 'media',
                    'order' => 400,
                    'name' => 'sw-logo-share',
                    'section' => null,
                    'sectionOrder' => null,
                    'blockOrder' => null,
                    'extensions' => [],
                    'helpText' => null,
                    'custom' => null,
                ],
                'sw-logo-favicon' => [
                    'label' => [
                        'en-GB' => 'Favicon',
                        'de-DE' => 'Favicon',
                    ],
                    'type' => 'media',
                    'value' => 'dist/assets/logo/favicon.png',
                    'editable' => true,
                    'block' => 'media',
                    'order' => 500,
                    'name' => 'sw-logo-favicon',
                    'section' => null,
                    'sectionOrder' => null,
                    'blockOrder' => null,
                    'extensions' => [],
                    'helpText' => null,
                    'custom' => null,
                ],
            ],
        ];
    }
}
